#!/bin/bash
# tiny util to regenreate the database on the LOCAL machine

if [ $# -ne 2 ]
then
    echo "incorrect number of args"
    echo "lh_update_db_repo.sh  directory  repo"
    echo "EX:  update_db_repo.sh  /data/dev/pkg_repo/x86_64/linhes-testing linhes-testing"
    exit 1
fi


cd $1
REPO=$2
echo " --------------------------"
echo "updating database for $REPO"
echo " --------------------------"
#pwd
	#forcefully remove the old db to start clean
	rm -f $REPO.db.tar.gz
	repo-add -q $REPO.db.tar.gz *.pkg.tar.*
cd -
